# Generated by Django 2.1.1 on 2018-09-27 16:29

import django.contrib.auth.models
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('registration', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AssociateUser',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
            },
            bases=('registration.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='DirectorUser',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
            },
            bases=('registration.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='ExecutiveUser',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
            },
            bases=('registration.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='SeniorUser',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
            },
            bases=('registration.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.AddField(
            model_name='user',
            name='type',
            field=models.CharField(choices=[('a', 'Associado'), ('e', 'Executivo'), ('d', 'Diretor'), ('s', 'Sênior'), ('x', 'Admin')], default='a', max_length=1),
        ),
        migrations.AlterField(
            model_name='user',
            name='email',
            field=models.EmailField(max_length=255),
        ),
        migrations.AlterField(
            model_name='user',
            name='first_name',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='user',
            name='last_name',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
    ]
